process UNPACK_BIN_ARCHIVES {
    tag "$meta.id"
    label 'process_low'

    conda "conda-forge::sed=4.7"
    container "${ workflow.containerEngine == 'singularity' && !task.ext.singularity_pull_docker_container ?
        'https://containers.biocontainers.pro/s3/SingImgsRepo/biocontainers/v1.2.0_cv1/biocontainers_v1.2.0_cv1.img' :
        'docker.io/biocontainers/biocontainers:v1.2.0_cv1' }"

    input:
    tuple val(meta), path(microbiome_path)

    output:
    tuple val(meta), path("unpacked/*"), emit: ch_microbiomes_bins_archives_unpacked
    path "versions.yml"                , emit: versions

    script:
    """
    mkdir -v unpacked
    tar -C unpacked -vxf "$microbiome_path"

    cat <<-END_VERSIONS > versions.yml
    "${task.process}":
        untar: \$(echo \$(tar --version 2>&1) | sed 's/^.*(GNU tar) //; s/ Copyright.*\$//')
    END_VERSIONS
    """
}
